@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;1,300;1,400;1,500&display=swap");

#time {
    font-family: "Poppins", sans-serif;

    text-transform: uppercase;
    color: white;

    display: flex;
    gap: 2rem;

    justify-content: center;
}

#time .dot {
    position: absolute;
    z-index: 2;

    display: flex;
    justify-content: center;
}

#time .dot::before {
    position: absolute;
    content: "";

    width: 15px;
    height: 15px;

    background: var(--color);
    transform: translate(0, -50%);

    border-radius: 50%;
    box-shadow: 0 0 20px var(--color), 0 0 60px var(--color);
}

#time .time-display {
    position: relative;
    flex-shrink: 0;
}

#time svg {
    width: inherit;
    height: inherit;
}

#time svg:not(.dividends) {
    transform: rotate(-90deg);
}

#time svg.dividends {
    position: absolute;

    left: 0;
    top: 0;

    stroke: #3d3d3d;
    stroke-width: 3;
}

#time svg > circle {
    position: relative;

    fill: transparent;
    stroke: #3d3d3d;
}

#time svg > circle:last-child {
    stroke: var(--color);
    z-index: 1;
}

#time .time-display[time-prop] > span {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;

    display: flex;
    flex-flow: column;
    gap: 0.5rem;

    justify-content: center;
    align-items: center;

    font-weight: 500;
}

#time .time-display[time-prop] > span::after {
    font-size: x-small;
}

#time .time-display[time-prop="hours"] > span::after { content: "hours"; }
#time .time-display[time-prop="minutes"] > span::after { content: "minutes"; }
#time .time-display[time-prop="seconds"] > span::after { content: "seconds"; }

#time .time-mode {
    width: 10%;

    display: flex;
    justify-content: center;
    align-items: center;
}